<template>
  <div id="weather">
    <table>
      <tr>
        <td>
          <h3 class="weatherheader">Додати нове місто:</h3>
          
          <input type="text" class="clear" v-model="newCity" /> <br />
          <button @click="addCity()" class="clearbtn">додати</button>
        </td>
        <td style="padding-left:10%; width: 200px">
           <h3 class="weatherheader">Оберіть місто:</h3>
          <select v-model="currentCity" class="clear">
            <option v-for="item in cities" v-bind:key="item">{{ item }}</option>
          </select>
          <br />
          
            <router-link id="link" v-bind:to="'/weather-info/' + currentCity"
              ><button class="clearbtn">погода </button></router-link
            >
         
        </td>
      </tr>
    </table>

    <br />
    <h3 class="weatherheader">Weather in your location</h3>
    <br />
    <div class="weatherdetails">
      Temperature: {{ positionWeather.main.temp | roundToDouble}}° С , feels
      like {{ positionWeather.main.feels_like | roundToDouble}}° С<br />
      Min: {{positionWeather.main.temp_min | roundToDouble}}° С<br />
      Max: {{positionWeather.main.temp_max | roundToDouble}}° С<br />
      Pressure: {{ positionWeather.main.pressure }}<br />
      Humidity: {{ positionWeather.main.humidity }}<br />
      Speed of wind: {{ positionWeather.wind.speed }}<br />
      Sunrise(unix): {{ positionWeather.sys.sunrise}}<br />
      Sunset(unix): {{ positionWeather.sys.sunset}}<br />
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data: function () {
    return {
      cities: [],
      newCity: "",
      errormsg: "",
      currentCity: "",
      positionWeather: {},
    };
  },
  mounted: function () {
    navigator.geolocation.getCurrentPosition(this.currentPosition);
  },
  methods: {
    addCity() {
      this.cities.push(this.newCity);
    },
    currentPosition(position) {
      axios
        .get(
          "http://api.openweathermap.org/data/2.5/weather?lat=" +
            position.coords.latitude +
            "&lon=" +
            position.coords.longitude +
            "&appid=f4d1931410bde52795d613b35b1af27c"
        )
        .then((response) => {
          this.positionWeather = response.data;
          console.log(this.positionWeather);
        this.positionWeather.main.temp -= 273.15;
        this.positionWeather.main.feels_like -= 273.15;
        this.positionWeather.main.temp_min -= 273.15;
        this.positionWeather.main.temp_max -= 273.15;
        });
    },
    filters: {
      roundToDouble: function (element) {
        return element.toFixed(2);
      },
    },
  },
};
</script>

<style scoped>
.weatherheader {
  color: rgb(139, 39, 39);
}

.weatherdetails {
  color: rgb(218, 119, 108);
}

.clear {
  border: none;
  height: 30px;
  width: 150px;
  border-radius: 10px;
  font-family: "Sitka text";
  font-weight: 600;
  
}

.clearbtn {
  border: none;
  height: 30px;
  width: 150px;
  border-radius: 10px;
  font-family: "Sitka text";
  font-weight: 600;
  margin-top: 4%;
    color: rgb(139, 39, 39);
    background-color: rgb(250, 163, 153);;
}

</style>